Subject: Re: [QUIC] Alissa Cooper's Yes on charter-ietf-quic-00-08: (with COMMENT)

From: Benoit Claise <[email-masked]>
Date: Mon, 3 Oct 2016 09:05:23 +0200

On 9/29/2016 2:59 PM, Spencer Dawkins at IETF wrote:
> Dear IESG,
>
> On Wed, Sep 28, 2016 at 11:21 PM, Alexey Melnikov 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>
>     On 29 Sep 2016, at 03:54, Spencer Dawkins at IETF
>     <[email-masked]
>     <mailto:[email-masked]>> wrote:
>
>>     Hi, Alissa,
>>
>>     On Wed, Sep 28, 2016 at 8:46 PM, Alissa Cooper <[email-masked]
>>     <mailto:[email-masked]>> wrote:
>>
>>         Alissa Cooper has entered the following ballot position for
>>         charter-ietf-quic-00-08: Yes
>>
>>         When responding, please keep the subject line intact and
>>         reply to all
>>         email addresses included in the To and CC lines. (Feel free
>>         to cut this
>>         introductory paragraph, however.)
>>
>>
>>
>>         The document, along with other ballot positions, can be found
>>         here:
>>         https://datatracker.ietf.org/doc/charter-ietf-quic/
>>         <https://datatracker.ietf.org/doc/charter-ietf-quic/>
>>
>>
>>
>>         ----------------------------------------------------------------------
>>         COMMENT:
>>         ----------------------------------------------------------------------
>>
>>         "The QUIC
>>         protocol need not be defined to enable each of these
>>         abilities, or
>>         enable them in the same way as they are enabled by TCP when used
>>         with TLS 1.3, but the working group must consider the impact
>>         of the
>>         protocol on network management practices, in line with RFC 7258."
>>
>>         The way this is phrased makes it sound like RFC 7258 is about
>>         protocol
>>         impact on network management, which isn't the case. I would
>>         suggest
>>         dropping "in line with RFC 7258." Alternatively, you could
>>         say something
>>         like:
>>
>>         "The QUIC
>>         protocol need not be defined to enable each of these
>>         abilities, or
>>         enable them in the same way as they are enabled by TCP when used
>>         with TLS 1.3, but the working group must consider the impact
>>         of the
>>         protocol on network management practices, reflecting the tensions
>>         described in RFC 7258."
>>
>>
>>     I like your second alternative better.
>
> Having slept on this, I like your second alternative even better this 
> morning. I made the change, resulting in version 00-09.
>
> Thanks for the text suggestion, Alissa. *I* knew what I meant, but the 
> new text makes that clearer.
Fine with me, from the "network management practices" point of view.

Regards, Benoit
>
> Spencer
>
>     +1.
>>     I'll see if anyone else has thoughts about this, before we
>>     approve and announce.
>>
>>     Thank you for the suggestion.
>>
>>     Spencer
>
>